User
Keywords: net.corda.testing.node.User class
Date: 2023-09-18

net.corda.testing.node

## Class User

- net.corda.testing.node.User

-     public class User

  Object encapsulating a node rpc user and their associated permissions for use when testing using the driver

  See Also:
    driver

- - ### Constructor Detail

    - #### User

          public User(@NotNull
                      java.lang.String username,
                      @NotNull
                      java.lang.String password,
                      @NotNull
                      java.util.Set<java.lang.String> permissions)

      Object encapsulating a node rpc user and their associated permissions for use when testing using the driver

      Parameters:
        `username` - The rpc user's username
        `password` - The rpc user's password
        `permissions` - A List of String detailing the `class User`'s permissions
      See Also:
        driver

  - ### Method Detail

    - #### getUsername

          @NotNull
          public java.lang.String getUsername()

      The rpc user

      's username

    - #### getPassword

          @NotNull
          public java.lang.String getPassword()

      The rpc user

      's password

    - #### getPermissions

          @NotNull
          public java.util.Set<java.lang.String> getPermissions()

      A

      List of String detailing the `class User`'s permissions

      See Also:
        List, String, `class User`

    - #### component1

          @NotNull
          public java.lang.String component1()

      The rpc user

      's username

    - #### component2

          @NotNull
          public java.lang.String component2()

      The rpc user

      's password

    - #### component3

          @NotNull
          public java.util.Set<java.lang.String> component3()

      A

      List of String detailing the `class User`'s permissions

      See Also:
        List, String, `class User`

    - #### copy

          @NotNull
          public User copy(@NotNull
                                    java.lang.String username,
                                    @NotNull
                                    java.lang.String password,
                                    @NotNull
                                    java.util.Set<java.lang.String> permissions)

      Object encapsulating a node rpc user and their associated permissions for use when testing using the driver

      See Also:
        driver

    - #### toString

          @NotNull
          public java.lang.String toString()

      Object encapsulating a node rpc user and their associated permissions for use when testing using the driver

      See Also:
        driver

    - #### hashCode

          public int hashCode()

      Object encapsulating a node rpc user and their associated permissions for use when testing using the driver

      See Also:
        driver

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Object encapsulating a node rpc user and their associated permissions for use when testing using the driver

      See Also:
        driver